Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451771 - Review Request: maximus - an addon for metacity
Summary: Review Request: maximus - an addon for metacity
Keywords:
Status: CLOSED DUPLICATE of bug 523330
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 451769
Blocks: FedoraMini, Mobility
TreeView+ depends on / blocked
 
Reported: 2008-06-17 09:58 UTC by Yaakov Nemoy
Modified: 2009-09-18 07:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 21:42:56 UTC
tibbs: fedora-review?


Attachments (Terms of Use)
spec file cleanup (deleted)
2008-06-17 16:18 UTC, Peter Robinson
no flags Details | Diff
Updated spec file (deleted)
2009-04-18 22:01 UTC, Michel Alexandre Salim
no flags Details

Description Yaakov Nemoy 2008-06-17 09:58:14 UTC
SPEC File: http://ynemoy.fedorapeople.org/repo/maximus.spec
SRPM File: http://ynemoy.fedorapeople.org/repo/maximus-0.3ubuntu2-1.fc9.src.rpm

Maximus is an addon for Metacity that keeps certain types of windows always
maximised and titlebar-less.  It is a component of the NetBookDora respin.  It
depends on libfakekey to do its magic.

Comment 1 Peter Robinson 2008-06-17 16:18:50 UTC
Created attachment 309633 [details]
spec file cleanup

Attached is an initial patch to cleanup the spec file somewhat. With this the
srpm created passes rpmlint. It probably needs some extra build reqs. You also
need to change the name/email in the Changelog entry.

I think there possibly should also be some post install gconf stuff too but
need to check that out further. Someone in the know should be able to confirm
it.

Comment 2 Jonathan Roberts 2008-09-18 16:35:35 UTC
Updated the spec file to make it comply with packaging guidelines better, as
well as renamed to remove Ubuntu from the name. 

SPEC File: http://ynemoy.fedorapeople.org/repo/maximus.spec
SRPM File:
http://ynemoy.fedorapeople.org/repo/maximus-0.3.14-1.fc9.src.rpm

Have spoken with Yaakov, and will likely co-maintain these packages.

Comment 3 Jonathan Roberts 2008-10-24 10:24:33 UTC
Updated the spec file to the latest upstream, and I believe this should pass review now.

SPEC File: http://jonrob.fedorapeople.org/RPMS/maximus.spec
SRPM File: http://jonrob.fedorapeople.org/RPMS/maximus-0.4.0-1.fc10.src.rpm

Comment 4 Jaroslav Reznik 2008-10-24 11:26:32 UTC
The same as for go-home-applet.

Comment 5 Fabian Affolter 2008-10-28 12:00:55 UTC
Just some small comments on your spec file

%description section
 - There is a blank line before the description starts. "Blank lines are assumed to separate paragraphs..." from https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Spec_file_pieces_explained
 - IMHO, Ubuntu should been remove from the description because we don't use the 'Ubuntu Netbook userspace stack' in Fedora, or do we? 

Version 0.4.1 was released -> https://edge.launchpad.net/~netbook-remix-team/+archive

Comment 6 Fabian Affolter 2009-01-12 11:38:09 UTC
Any progress on this?

Comment 7 Yaakov Nemoy 2009-01-14 04:08:54 UTC
Sorry, none.  I have been busy.  If you don't mind letting this wait in the queue, hopefully i will come back to it soon.

Comment 8 Michel Alexandre Salim 2009-04-18 22:01:39 UTC
Created attachment 340181 [details]
Updated spec file

Here's an updated spec file for 0.4.8; it properly registers the GConf settings. Yaakov, do you have time to package, in which case I'd be more than happy to perform a review?

I have a complete Netbook stack working now (Maximus/netbook-launcher/window-picker-applet); I can review this and you can review netbook-launcher and window-picker

Comment 9 Yaakov Nemoy 2009-04-27 22:26:37 UTC
I would love to. If you don't hear from me in a week, ping me here again.

Also, i suppose we'll want to co-maintain packages, so we can stay on top of things.

Comment 10 Jason Tibbitts 2009-06-23 18:23:49 UTC
Is anyone reviewing this package?  Why is it assigned with no fedora-review flag set?

Comment 11 Jason Tibbitts 2009-07-27 17:28:32 UTC
I guess I'll go ahead and set the flag, but I'm starting to think this should just be closed instead.

Comment 12 Michel Alexandre Salim 2009-09-14 21:26:39 UTC
Jason: was waiting on Yaakov, and I guess I just forgot about it myself. Yaakov, do you want to continue the review, or can I close this and file my own?

Comment 13 Yaakov Nemoy 2009-09-14 21:42:56 UTC
Yeah, go ahead with your own.

Comment 14 Michel Alexandre Salim 2009-09-14 22:02:17 UTC
Yaakov, thanks. I guess you're using xmonad now?

Fabian, do you want to continue reviewing?

Comment 15 Fabian Affolter 2009-09-18 07:34:43 UTC

*** This bug has been marked as a duplicate of bug 523330 ***


Note You need to log in before you can comment on or make changes to this bug.